@import '../basic.css';  

:root {
    --main-mint-dark-color: black;
    --main-mint-light-color: #b5c0c0;
    --admonitions-title-mint-color: #ff5824;
    --admonitions-background-mint-color: #ffdfd5;
    --links-mint-color: #da0060; 
    --links-mint-color-yellow: #fdf446; 
  }


div.admonition {
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 7px;
}

/* -- hover image container ---------------------------------------------------------- */
div.box {
    margin-bottom: 0px;
    margin-top: 0px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

/* -- mainpage, template, basic pool graphic hover on ---------------------------------------------------------- */
div.templ {
    position: relative;
}

div.templ:hover .templhover {
    opacity: 1
}

div.templhover{
    opacity: 0;
    position: absolute;
    top: -8px;
    transition: opacity 300ms;
 }

div.templhover.templhover-basic{
    top: -24px !important;
}

/* header color */
.wy-side-nav-search{
    background-color: var(--main-mint-dark-color);
}

/* navigation title */
.wy-menu.wy-menu-vertical p {
    color: #e2e2e2;
}

/* logo in nav header */
.wy-side-nav-search a img.logo{
    height: 125px;
}

/* currently chosen menu color */
.wy-menu-vertical li.current>a, .wy-menu-vertical li.on a {
    background-color: var(--links-mint-color-yellow);
}

/* admonitions headers and body color */
div.admonition.important, .rst-content .admonition {
    background-color: var(--admonitions-background-mint-color);
}

.admonition.important-title, .rst-content .admonition-title, .wy-alert-title, .rst-content .note .admonition-title {
    background-color: var(--admonitions-title-mint-color);
}

.rst-content .important .admonition-title {
    background: var(--admonitions-title-mint-color);
}

.admonition.warning {
    background-color: #ffedcc;
}

/* links colors */

.toctree-wrapper.compound a, #indices-and-tables a, .section a {
    color: var(--links-mint-color);
}

/* our products link colors -------------------------------------*/
/* bank */
#our-products a[href="https://financevote.readthedocs.io/projects/bank/en/latest/"] {
    color: black;
}

/* influence */
#our-products a[href="https://financevote.readthedocs.io/projects/influence/en/latest/"] {
    color: #922ed6;
}

/* launch */
#our-products a[href="https://financevote.readthedocs.io/projects/launch/en/latest/"] {
    color: #ee265d;
}

/* markets */
#our-products a[href="https://financevote.readthedocs.io/projects/markets/en/latest/"] {
    color: #1f6ee4;
}

/* mint */
#our-products a[href="https://financevote.readthedocs.io/projects/mint/en/latest/"] {
    color: #18b3d2;
}

/* yield */
#our-products a[href="https://financevote.readthedocs.io/projects/yield/en/latest/"] {
    color: #009246;
}


/* back to main page */
#back-to-main-page a {
    color: #00dcc8;
}